package fileManager

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type FileFolderRouter struct {
}

func (e *FileFolderRouter) InitFileFolderRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("fileManager")
	api := v1.ApiGroupApp.FileManagerGroup.ApiFileFolder
	{
		excelRouter.POST("getAllTaskSimple", api.GetAllTaskSimple)   //查询记录
		excelRouter.POST("addFileFolder", api.AddFileFolder)         //新建文件夹
		excelRouter.POST("getFolderFileList", api.GetFolderFileList) //
		excelRouter.POST("queryFolder", api.QueryFolder)             //
		excelRouter.POST("selectFolderMsg", api.SelectFolderMsg)     //
	}
}
